import type { _NSColor } from "./NSColor.js";
import type { _NSView } from "./NSView.js";
import type { NSGlassEffectViewStyle } from "./NSGlassEffectViewStyle.js";
export declare class _NSGlassEffectView extends _NSView {
    static alloc(): _NSGlassEffectView;
    static new(): _NSGlassEffectView;
    init(): _NSGlassEffectView;
    /**
     * The view to embed in glass. - Important: `NSGlassEffectView` only guarantees the `contentView` will be placed inside the glass effect; arbitrary subviews aren't guaranteed specific behavior with regard to z-order in relation to the content view or glass effect.
     */
    contentView(): _NSView | null;
    setContentView$(value: _NSView | null): void;
    /** The amount of curvature for all corners of the glass. */
    cornerRadius(): number;
    setCornerRadius$(value: number): void;
    /**
     * The color the glass effect view uses to tint the background and glass effect toward.
     */
    tintColor(): _NSColor | null;
    setTintColor$(value: _NSColor | null): void;
    /** The style of glass this view uses. */
    style(): NSGlassEffectViewStyle;
    setStyle$(value: NSGlassEffectViewStyle): void;
}
